/*
 * Copyright 2012 Stormpath, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.stormpath.sdk.client;

import com.stormpath.sdk.application.Application;

/**
 * A ClientApplication is a simple wrapper around a {@link Client} and {@link Application} instance, returned from
 * the {@code ClientApplicationBuilder}.{@link com.stormpath.sdk.client.ClientApplicationBuilder#build()}
 * method.
 *
 * @since 0.5
 */
public class ClientApplication {

    private final Client client;
    private final Application application;

    public ClientApplication(Client client, Application application) {
        this.client = client;
        this.application = application;
    }

    public Client getClient() {
        return client;
    }

    public Application getApplication() {
        return application;
    }
}
